/*--------------------------------------------------------------------------------------------------------------------
 * ------------------------------------------------------------------------------------------------------------------
 * Project:           Automatic Hand Sanitizer Dispenser
 * Version:           1.0
 * Copyright:         Lion Stern System Ltd - https://lionsternsystem.com
 * Author:            Abbas A. 
 * Year:              May 23th, 2020
 * -----------------------------------------------------------------------------------------------------------------
 -------------------------------------------------------------------------------------------------------------------*/

//const int relayPin = 6;
#define relayPin1 6
#define relayPin2 4

// defines pins numbers
const int trigPin = 11;
const int echoPin = 10;
int liquidSoaf = 0;
int liquidwater = 1;

int active = 0;

// defines variables
long distanceIn;


long getDistance(){
  long duration, inches, cm;
  pinMode(trigPin, OUTPUT);
  digitalWrite(trigPin, LOW);
  delayMicroseconds(2);
  digitalWrite(trigPin, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigPin, LOW);

  pinMode(echoPin, INPUT);
  duration = pulseIn(echoPin, HIGH);
  cm = microsecondsToCentimeters(duration);


  //Serial.print(cm);
  //Serial.print("cm");
  //Serial.println();
  
  //delay(100);
  return cm;
}
void setup() {

  //Serial.begin(9600); // Starting Serial Terminal
  pinMode(relayPin1, OUTPUT);                       // Control Pin1 
  pinMode(relayPin2, OUTPUT);                       // Control Pin2 

  digitalWrite(relayPin1, LOW);                     // Control Pin1 
  digitalWrite(relayPin2, LOW);                     // Control Pin2 
}

void loop() {
  

  distanceIn = getDistance();
  if (distanceIn <= 150 && liquidSoaf == 0 && liquidwater==1)
  {
    //int washTime = millis();
    for(int i =0; i<1; i++)
    {
      digitalWrite(relayPin1, HIGH);
      delay(3000);
      digitalWrite(relayPin1, LOW);
      delay(1000);
    }
    liquidSoaf = 1;
    liquidwater =0;
    delay(5000);
  }
  else if (distanceIn <= 150 && liquidSoaf == 1 && liquidwater==0)
  {
    
    digitalWrite(relayPin2, HIGH);
    active = 1;

  }
   else if (distanceIn > 150 && active == 1)
  {
    
    
  
    liquidSoaf = 0;
    liquidwater =1;
    digitalWrite(relayPin1, LOW);
    digitalWrite(relayPin2, LOW);
  }
  
  else{
    digitalWrite(relayPin1, LOW);
    digitalWrite(relayPin2, LOW);
  }
}


long microsecondsToCentimeters(long microseconds)
{
  return microseconds/29/2;
}
